datablock WheeledVehicleData(PassengerjetVehicle)
{
	category = "Vehicles";
	displayName = " ";
	shapeFile = "./Passengerjet.dts";
	emap = true;
	minMountDist = 3;
   
   numMountPoints = 26;
   mountThread[0] = "sit";
   mountThread[1] = "sit";
   mountThread[2] = "sit";
   mountThread[3] = "sit";
   mountThread[4] = "sit";
   mountThread[5] = "sit";
   mountThread[6] = "sit";
   mountThread[7] = "sit";
   mountThread[8] = "sit";
   mountThread[9] = "sit";
   mountThread[10] = "sit";
   mountThread[11] = "sit";
   mountThread[12] = "sit";
   mountThread[13] = "sit";
   mountThread[14] = "sit";
   mountThread[15] = "sit";
   mountThread[16] = "sit";
   mountThread[17] = "sit";
   mountThread[18] = "sit";
   mountThread[19] = "sit";
   mountThread[20] = "sit";
   mountThread[21] = "sit";
   mountThread[22] = "sit";
   mountThread[23] = "sit";
   mountThread[24] = "sit";
   mountThread[25] = "sit";



	maxDamage = 500.00;
	destroyedLevel = 475.00;
	energyPerDamagePoint = 160;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	massCenter = "0 3 0";
   //massBox = "2 5 1";

	maxSteeringAngle = 0.96;  // Maximum steering angle, should match animation
	integration = 4;           // Force integration time: TickSec/Rate
	tireEmitter = VehicleTireEmitter; // All the tires use the same dust emitter

	// 3rd person camera settings
	cameraRoll = false;         // Roll the camera with the vehicle
	cameraMaxDist = 40;         // Far distance from vehicle
	cameraOffset = 18;        // Vertical offset from camera mount point
	cameraLag = 0.0;           // Velocity lag of camera
	cameraDecay = 0.75;        // Decay per sec. rate of velocity lag
	cameraTilt = 0.4;
   collisionTol = 0.1;        // Collision distance tolerance
   contactTol = 0.1;

	useEyePoint = false;	

	defaultTire   = PassengerjetTire;
	defaultSpring   = PassengerjetSpring;
	// flatTire	   = PassengerjetFlatTire;
	// flatSpring	   = PassengerjetFlatSpring;

   numWheels = 6;

	// Rigid Body
	mass = 250;
	density = 5.0;
	drag = 0.6;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;        // Impacts over this invoke the script callback
	softImpactSpeed = 10;       // Play SoftImpact Sound
	hardImpactSpeed = 25;      // Play HardImpact Sound
	groundImpactMinSpeed    = 10.0;

	// Engine
	engineTorque = 1000; //8000;       // Engine power
	engineBrake = 30;         // Braking when throttle is 0
	brakeTorque = 500;        // When brakes are applied
	maxWheelSpeed = 20;        // Engine scale by current speed / max speed

	rollForce		= 2000;
	yawForce		= 3000;
	pitchForce		= 2000;
	rotationalDrag		= 0.2;

	// Energy
	maxEnergy = 100;
	jetForce = 3000;
	minJetEnergy = 30;
	jetEnergyDrain = 2;

   isSled = false;

   forwardThrust		= 3000;
	reverseThrust		= 1000;
	lift			= 50;
	maxForwardVel		= 80;
	maxReverseVel		= 50;
	horizontalSurfaceForce	= 150;   // Horizontal center "wing" (provides "bite" into the wind for climbing/diving and turning)
	verticalSurfaceForce	= 60; 
	rollForce		= 30000;
	yawForce		= 30000;
	pitchForce		= 30000;
	rotationalDrag		= 0.5;
	stallSpeed		= 15;

//   forwardThrust		= 2000;
//	reverseThrust		= 2000;
//	lift			= 100;
//	maxForwardVel		= 70;
//	maxReverseVel		= 70;
//	horizontalSurfaceForce	= 100;   // Horizontal center "wing" (provides "bite" into the wind for climbing/diving and turning)
//	verticalSurfaceForce	= 100; 
//	rollForce		= 6000;
//	yawForce		= 6000;
//	pitchForce		= 4000;
//	rotationalDrag		= 0.5;
//	stallSpeed		= 10;
//
//   forwardThrust		= 2500;
//	reverseThrust		= 500;
//	lift			= 15000;
//	maxForwardVel		= 60;
//	maxReverseVel		= 10;
//	horizontalSurfaceForce	= 500;   // Horizontal center "wing" (provides "bite" into the wind for climbing/diving and turning)
//	verticalSurfaceForce	= 500; 
//	rollForce		= 5000;
//	yawForce		= 5000;
//	pitchForce		= 5000;
//	rotationalDrag		= 0.1;
//	stallSpeed		= 10;

	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
		
	//mediumSplashSound = "";
	//hardSplashSound = "";
	//exitSplashSound = "";
	
	// Sounds
	//   jetSound = ScoutThrustSound;
	//engineSound = idleSound;
	//squealSound = skidSound;
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
	//wheelImpactSound = slowImpactSound;

	//   explosion = VehicleExplosion;
	justcollided = 0;

   uiName = "Passenger Jet";
	rideable = true;
		lookUpLimit = 0.50;
		lookDownLimit = 0.50;

	paintable = true;
   
   damageEmitter[0] = VehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;

   damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 0.0 0.0 ";
	damageLevelTolerance[1] = 1.0;

   numDmgEmitterAreas = 1;

   initialExplosionProjectile = PassengerjetExplosionProjectile;
   initialExplosionOffset = 0;         //offset only uses a z value for now

   burnTime = 9000;

   finalExplosionProjectile = PassengerjetFinalExplosionProjectile;
   finalExplosionOffset = 0.5;          //offset only uses a z value for now


   minRunOverSpeed    = 2;   //how fast you need to be going to run someone over (do damage)
   runOverDamageScale = 15;   //when you run over someone, speed * runoverdamagescale = damage amt
   runOverPushScale   = 2.2; //how hard a person you're running over gets pushed
   
      // Advanced Steering
   steeringAutoReturn = false;
   // steeringAutoReturnRate = 0.9;
   // steeringAutoReturnMaxSpeed = 10;
   steeringUseStrafeSteering = false;
   // steeringStrafeSteeringRate = 0.1;
   
   //minJumboJetStreamSpeed = 70;
};

function Passengerjetvehicle::onadd(%this,%obj)
{ 
	
	parent::onadd(%this,%obj);
	   %obj.playThread(0,"propfast");

//	JumboJetStreamCheck(%obj);
	    
}