// support stuff for the Passengerjet vehicle
exec("./Passengerjet_TireSpring.cs");
exec("./Passengerjet_Explosion.cs");
exec("./Passengerjet_FinalExplosion.cs");

//we need the jeep add-on for this, so force it to load
%error = ForceRequiredAddOn("Vehicle_Jeep");

if(%error == $Error::AddOn_Disabled)
{
   //A bit of a hack:
   //  we just forced the jeep to load, but the user had it disabled
   //  so lets make it so they can't select it
   JeepVehicle.uiName = "";
}

if(%error == $Error::AddOn_NotFound)
{
   //we don't have the jeep, so we're screwed
   error("ERROR: Vehicle_Passengerjet - required add-on Vehicle_Jeep not found");
}
else
{
   exec("./Vehicle_Passengerjet.cs"); 
   exec("./Vehicle_PassengerjetShort.cs");
}